--- a/store.cabal
+++ b/store.cabal
@@ -117,7 +117,7 @@
       System.IO.ByteBufferSpec
   hs-source-dirs:
       test
-  ghc-options: -Wall -fwarn-tabs -fwarn-incomplete-uni-patterns -fwarn-incomplete-record-updates -O2 -threaded -rtsopts -with-rtsopts=-N
+  ghc-options: -Wall -fwarn-tabs -fwarn-incomplete-uni-patterns -fwarn-incomplete-record-updates -O2 -threaded -rtsopts
   build-depends:
       array >=0.5.0.0
     , async >=2.0.2
@@ -181,7 +181,7 @@
       Paths_store
   hs-source-dirs:
       bench
-  ghc-options: -Wall -fwarn-tabs -fwarn-incomplete-uni-patterns -fwarn-incomplete-record-updates -O2 -threaded -rtsopts -with-rtsopts=-N1 -with-rtsopts=-s -with-rtsopts=-qg
+  ghc-options: -Wall -fwarn-tabs -fwarn-incomplete-uni-patterns -fwarn-incomplete-record-updates -O2 -threaded -rtsopts -with-rtsopts=-s -with-rtsopts=-qg
   build-depends:
       array >=0.5.0.0
     , async >=2.0.2
@@ -252,7 +252,7 @@
   main-is: Allocations.hs
   hs-source-dirs:
       test
-  ghc-options: -Wall -fwarn-tabs -fwarn-incomplete-uni-patterns -fwarn-incomplete-record-updates -O2 -threaded -rtsopts -with-rtsopts=-N -with-rtsopts=-T -O2
+  ghc-options: -Wall -fwarn-tabs -fwarn-incomplete-uni-patterns -fwarn-incomplete-record-updates -O2 -threaded -rtsopts -with-rtsopts=-T -O2
   build-depends:
       array >=0.5.0.0
     , async >=2.0.2
